DROP TABLE IF EXISTS `compound_disciplines`;

CREATE TABLE IF NOT EXISTS `compound_disciplines` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(200) CHARACTER SET utf8 NULL DEFAULT 'Курс по выбору',
  `GradeID` int(11) NOT NULL,
  `SpecializationID` int(11) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


ALTER TABLE `disciplines`
  ADD `CompoundDiscID` INT(11) DEFAULT NULL,
  ADD KEY `CompoundDiscID` (`CompoundDiscID`);

ALTER TABLE `disciplines`
  ADD CONSTRAINT `disciplines_ibfk_6` FOREIGN KEY (`CompoundDiscID`) REFERENCES `compound_disciplines` (`ID`);

ALTER TABLE `compound_disciplines`
  ADD CONSTRAINT `compound_disciplines_ibfk_1` FOREIGN KEY (`SpecializationID`) REFERENCES `specializations` (`ID`),
  ADD CONSTRAINT `compound_disciplines_ibfk_2` FOREIGN KEY (`GradeID`) REFERENCES `grades` (`ID`);


